package com.iamberry.wechat.face.cart;

import com.iamberry.wechat.core.entity.cart.SettlementGift;

import java.util.List;

/**
 *  结算赠品接口
 * @author Administrator
 * @Date 2019-05-23
 */
public interface SettlementGiftService {
    /**
     * 获取集合
     * @param  settlementGift
     * @return List
     */
    List<SettlementGift> getSettlementGiftList(SettlementGift  settlementGift);
    /**
     * 查询单条数据
     * @param  id
     * @return  settlementGift
     */
    SettlementGift  getSettlementGiftById(Integer  id);
    /**
     * 增加数据
     * @param  settlementGift
     * @return Integer
     */
    Integer  save(SettlementGift  settlementGift);
    /**
     * 修改数据
     * @param  settlementGift
     * @return Integer
     */
    Integer  update(SettlementGift  settlementGift);
}